#
# Conditional build:
%bcond_without	systemd	# systemd inhibit service

Summary:	MATE power management service
Summary(pl.UTF-8):	Usługa zarządzania energią dla MATE
Name:		mate-power-manager
Version:	1.18.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.18/%{name}-%{version}.tar.xz
# Source0-md5:	3dbda23096d3dfdf36862a667e9d45c8
URL:		http://wiki.mate-desktop.org/mate-power-manager
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.9
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	dbus-devel >= 1.0
BuildRequires:	dbus-glib-devel >= 0.70
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	gettext-tools >= 0.10.40
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gtk+3-devel >= 3.14
BuildRequires:	intltool >= 0.50.1
BuildRequires:	libcanberra-gtk3-devel >= 0.10
BuildRequires:	libgnome-keyring-devel >= 3.0.0
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libtool >= 2:2
BuildRequires:	mate-common
BuildRequires:	mate-panel-devel >= 1.17.0
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(find_lang) >= 1.36
%{?with_systemd:BuildRequires:	systemd-devel >= 1:195}
BuildRequires:	tar >= 1:1.22
BuildRequires:	upower-devel >= 0.9.5
BuildRequires:	xmlto
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.3.0
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.15
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires:	cairo >= 1.0.0
Requires:	dbus >= 1.0
Requires:	dbus-glib >= 0.70
Requires:	glib2 >= 1:2.36.0
Requires:	gtk+3 >= 3.14
Requires:	hicolor-icon-theme
Requires:	libcanberra-gtk3 >= 0.10
Requires:	libgnome-keyring >= 3.0.0
Requires:	libnotify >= 0.7.0
Requires:	mate-panel >= 1.17.0
Requires:	upower >= 0.9.5
Requires:	xorg-lib-libXrandr >= 1.3.0
Suggests:	udisks
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/mate-panel

%description
MATE Power Manager uses the information and facilities provided by
UPower displaying icons and handling user callbacks in an interactive
MATE session.

%description -l pl.UTF-8
MATE Power Manager wykorzystuje informacje i funkcje udostępniane
przez UPower do wyświetlania ikon i obsługi reakcji użytkownika w
interaktywnej sesji MATE.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-applets \
	--disable-silent-rules \
	--disable-static \
	%{!?with_systemd:--without-systemdinhibit}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{ku_IQ,pms}

%find_lang %{name} --with-mate

desktop-file-install \
	--delete-original \
	--remove-category=MATE \
	--add-category=X-Mate \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files  -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
/etc/xdg/autostart/mate-power-manager.desktop
%attr(755,root,root) %{_bindir}/mate-power-manager
%attr(755,root,root) %{_bindir}/mate-power-preferences
%attr(755,root,root) %{_bindir}/mate-power-statistics
%attr(755,root,root) %{_sbindir}/mate-power-backlight-helper
%attr(755,root,root) %{_libexecdir}/mate-brightness-applet
%attr(755,root,root) %{_libexecdir}/mate-inhibit-applet
%{_mandir}/man1/mate-power-backlight-helper.1*
%{_mandir}/man1/mate-power-manager.1*
%{_mandir}/man1/mate-power-preferences.1*
%{_mandir}/man1/mate-power-statistics.1*
%{_datadir}/%{name}
%{_datadir}/mate-panel/applets/org.mate.BrightnessApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.InhibitApplet.mate-panel-applet
%{_datadir}/dbus-1/services/org.mate.PowerManager.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.BrightnessAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.InhibitAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.power-manager.gschema.xml
%{_datadir}/polkit-1/actions/org.mate.power.policy
%{_desktopdir}/mate-power-preferences.desktop
%{_desktopdir}/mate-power-statistics.desktop
%{_iconsdir}/hicolor/*/apps/mate-brightness-applet.*
%{_iconsdir}/hicolor/*/apps/mate-inhibit-applet.*
%{_iconsdir}/hicolor/*/apps/mate-power-manager.*
%{_iconsdir}/hicolor/*/apps/mate-power-statistics.*
%changelog
* Thu Nov 02 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-power-manager.git;a=log;h=master

* Thu Nov 02 2017 Jan Palus <atler@pld-linux.org> 6128c61
- up to 1.18.1

* Sun Mar 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 386633c
- BR+R upower

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> c3d4394
- up to 1.18.0

* Tue Feb 21 2017 Jan Palus <atler@pld-linux.org> 9657bcd
- up to 1.16.2

* Sun Feb 05 2017 Jan Palus <atler@pld-linux.org> dfe9589
- up to 1.16.1

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> 79bfe0b
- up to 1.16.0

* Sun Jul 17 2016 Jakub Bogusz <qboosh@pld-linux.org> c27c4a4
- fixed libcanberra-gtk dependency with gtk3

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 628ef08
- up to 1.14.0

* Mon Nov 30 2015 Jan Palus <atler@pld-linux.org> 923e8af
- up to 1.12.1

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> acb3915
- updated dependencies

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> 57956e9
- up to 1.12.0

* Fri Sep 04 2015 Elan Ruusamäe <glen@delfi.ee> 1f2af4c
- 1.10.2 (2015-09-01)

* Wed Jul 15 2015 Jan Palus <atler@pld-linux.org> 14b034c
- up to 1.10.1

* Sat May 16 2015 Jakub Bogusz <qboosh@pld-linux.org> c8f83dc
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)
- removed obsolete uidir,dbus_interface_keyboard_backlight_controls patches

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 4304b22
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c310cea
- updated gettext BR

* Sun Oct 19 2014 Jan Palus <atler@pld-linux.org> 0464e6f
- release 2 (by relup.sh)

* Wed Oct 01 2014 Jan Palus <atler@pld-linux.org> 2d6d191
- up to 1.8.1
- drop patches taken from git

* Wed Sep 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 84e9a99
- upower rebuild
- release 4 (by relup.sh)

* Sat Jul 12 2014 Jakub Bogusz <qboosh@pld-linux.org> aaa37e9
- cmn locale is supported now
- cleaned up scrollkeeper leftovers
- gtk3 bcond fixes

